//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tSMVsc complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tSMVsc"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.iec.ch/61850/2003/SCL}tServiceWithMax"&gt;
 *       &lt;attribute name="delivery" type="{http://www.iec.ch/61850/2003/SCL}tSMVDeliveryEnum" default="multicast" /&gt;
 *       &lt;attribute name="deliveryConf" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *       &lt;attribute name="sv" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" /&gt;
 *       &lt;attribute name="rSV" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tSMVsc")
public class TSMVsc
    extends TServiceWithMax
{

    @XmlAttribute(name = "delivery")
    protected TSMVDeliveryEnum delivery;
    @XmlAttribute(name = "deliveryConf")
    protected Boolean deliveryConf;
    @XmlAttribute(name = "sv")
    protected Boolean sv;
    @XmlAttribute(name = "rSV")
    protected Boolean rsv;

    /**
     * 获取delivery属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TSMVDeliveryEnum }
     *     
     */
    public TSMVDeliveryEnum getDelivery() {
        if (delivery == null) {
            return TSMVDeliveryEnum.MULTICAST;
        } else {
            return delivery;
        }
    }

    /**
     * 设置delivery属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TSMVDeliveryEnum }
     *     
     */
    public void setDelivery(TSMVDeliveryEnum value) {
        this.delivery = value;
    }

    /**
     * 获取deliveryConf属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isDeliveryConf() {
        if (deliveryConf == null) {
            return false;
        } else {
            return deliveryConf;
        }
    }

    /**
     * 设置deliveryConf属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setDeliveryConf(Boolean value) {
        this.deliveryConf = value;
    }

    /**
     * 获取sv属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isSv() {
        if (sv == null) {
            return true;
        } else {
            return sv;
        }
    }

    /**
     * 设置sv属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setSv(Boolean value) {
        this.sv = value;
    }

    /**
     * 获取rsv属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isRSV() {
        if (rsv == null) {
            return false;
        } else {
            return rsv;
        }
    }

    /**
     * 设置rsv属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setRSV(Boolean value) {
        this.rsv = value;
    }

}
